<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:xdt="http://www.w3.org/2005/xpath-datatypes" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:altova="http://www.altova.com">
	<xsl:output version="1.0" method="html" indent="no" encoding="UTF-8" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>
	<xsl:param name="SV_OutputFormat" select="'HTML'"/>
	<xsl:variable name="XML" select="/"/>
	<xsl:template match="/">
		<html>
			<head>
				<title/>
				<style type="text/css">
					<xsl:comment>table {border:none;width:100%;border-collapse:collapse;}
    tr.naglowek {background-color:#CCCCCC;vertical-align:top;text-align:center;font-size:80%;font-family:sans-serif;font-weight:bold;text-decoration:none;}
    td {border-color: black;border-style:solid;vertical-align:top;border-bottom-style:none;border-right-style:none;border-width:1;}
    td.lewagora {width:25%}
    td.prawagora {width:50%}
    td.tytulowa {border-left-style:none;border-top-style:none;border-right-style:none;vertical-align:middle;border:none}
    td.iloscszczeg {text-align:center}
    p {margin-top: 0px;margin-bottom:5px}
    td.naglowek {border-top-style:dashed;border-bottom-style:dashed;border-top-width:5px;border-bottom-width:5px}
    p.Tytul {font-size: 110%; font-family:sans-serif; text-decoration:none;font-weight:bold;}
  p.OpisWart {font-size: 80%; font-family:sans-serif;text-decoration:none;font-style:italic;font-weight:normal;}
    p.Wartosc {font-size: 125%; font-family:sans-serif;text-decoration:none;font-weight:bold;}
    span.Tytul {font-size: 125%; font-family:sans-serif;text-decoration:none;font-weight:bold;}
    span.OpisWart {font-size: 70%; font-family:sans-serif;text-decoration:none;font-style:italic;font-weight:normal;}
    span.Wartosc {font-size: 90%; font-family:sans-serif;text-decoration:none;font-weight:bold;}
    span.WartoscDuza {font-size: 120%; font-family:sans-serif;text-decoration:none;font-weight:bold;}
    span.WartoscStara {font-size: 90%; font-family:sans-serif;font-weight:normal;}
    span.Komentarz {font-size: 125%; font-family:monospace;text-decoration:none;font-weight:bold;}
    span.TrescXML {font-size: 50%; font-family:monospace;text-decoration:none;font-weight:normal;}
</xsl:comment>
				</style>
			</head>
			<body>
				<xsl:for-each select="$XML">
					<xsl:for-each select="ZGTS_CCECUS02">
						<xsl:for-each select="IDOC">
							<xsl:for-each select="_x002F_SAPSLL_x002F_E2CCEHD">
								<span class="Tytul">
									<xsl:text>Dokument ABB</xsl:text>
								</span>
								<br/>
								<xsl:for-each select="REFNO">
									<span class="OpisWart">
										<xsl:text>Identyfikator komunikatu:</xsl:text>
									</span>
									<span>
										<xsl:text>&#160;</xsl:text>
									</span>
									<span class="Wartosc">
										<xsl:apply-templates/>
									</span>
								</xsl:for-each>
								<br/>
								<br/>
								<table border="1" width="100%">
									<tbody>
										<tr>
											<td>
												<xsl:for-each select="_x002F_SAPSLL_x002F_E2CCEHPA">
													<xsl:if test="PATYP =&apos;CUSVER&apos;">
														<span class="OpisWart">
															<xsl:text>Nadawca:</xsl:text>
														</span>
														<span>
															<xsl:text>&#160;</xsl:text>
														</span>
														<xsl:for-each select="E1ADRM0">
															<xsl:for-each select="NAME1">
																<span>
																	<xsl:text>&#160;</xsl:text>
																</span>
																<span class="Wartosc">
																	<xsl:apply-templates/>
																</span>
															</xsl:for-each>
															<xsl:for-each select="STREET1">
																<span>
																	<xsl:text>, </xsl:text>
																</span>
																<span class="Wartosc">
																	<xsl:apply-templates/>
																</span>
															</xsl:for-each>
															<xsl:for-each select="STREET2">
																<span>
																	<xsl:text>&#160;</xsl:text>
																</span>
																<span class="Wartosc">
																	<xsl:apply-templates/>
																</span>
															</xsl:for-each>
															<xsl:for-each select="CITY1">
																<span>
																	<xsl:text>, </xsl:text>
																</span>
																<span class="Wartosc">
																	<xsl:apply-templates/>
																</span>
															</xsl:for-each>
															<xsl:for-each select="COUNTRY1">
																<span>
																	<xsl:text>&#160;</xsl:text>
																</span>
																<span class="Wartosc">
																	<xsl:apply-templates/>
																</span>
															</xsl:for-each>
														</xsl:for-each>
													</xsl:if>
												</xsl:for-each>
											</td>
											<td style="border-right-style:solid; ">
												<xsl:for-each select="_x002F_SAPSLL_x002F_E2CCEHD_TPR">
													<xsl:for-each select="DCTYP">
														<span class="OpisWart">
															<xsl:text>Rodzaj deklaracji:</xsl:text>
														</span>
														<span>
															<xsl:text>&#160;</xsl:text>
														</span>
														<span class="Wartosc">
															<xsl:apply-templates/>
														</span>
													</xsl:for-each>
													<xsl:for-each select="DCVAR">
														<span>
															<xsl:text>&#160;</xsl:text>
														</span>
														<span class="Wartosc">
															<xsl:apply-templates/>
														</span>
													</xsl:for-each>
												</xsl:for-each>
												<xsl:for-each select="_x002F_SAPSLL_x002F_E2CCEHD_DAT">
													<xsl:if test="DATID =&apos;001&apos;">
														<br/>
														<span class="OpisWart">
															<xsl:text>Data zgłoszenia:</xsl:text>
														</span>
														<span>
															<xsl:text>&#160;</xsl:text>
														</span>
														<xsl:for-each select="DATE">
															<span class="Wartosc">
																<xsl:apply-templates/>
															</span>
														</xsl:for-each>
													</xsl:if>
												</xsl:for-each>
												<br/>
											</td>
										</tr>
										<tr>
											<td>
												<xsl:for-each select="_x002F_SAPSLL_x002F_E2CCEHPA">
													<xsl:if test="PATYP =&apos;CUSEMP&apos;">
														<span class="OpisWart">
															<xsl:text>Odbiorca:</xsl:text>
														</span>
														<span>
															<xsl:text>&#160;</xsl:text>
														</span>
														<xsl:for-each select="E1ADRM0">
															<xsl:for-each select="NAME1">
																<span>
																	<xsl:text>&#160;</xsl:text>
																</span>
																<span class="Wartosc">
																	<xsl:apply-templates/>
																</span>
															</xsl:for-each>
															<xsl:for-each select="STREET1">
																<span>
																	<xsl:text>, </xsl:text>
																</span>
																<span class="Wartosc">
																	<xsl:apply-templates/>
																</span>
															</xsl:for-each>
															<xsl:for-each select="STREET2">
																<span>
																	<xsl:text>&#160;</xsl:text>
																</span>
																<span class="Wartosc">
																	<xsl:apply-templates/>
																</span>
															</xsl:for-each>
															<xsl:for-each select="CITY1">
																<span>
																	<xsl:text>, </xsl:text>
																</span>
																<span class="Wartosc">
																	<xsl:apply-templates/>
																</span>
															</xsl:for-each>
															<xsl:for-each select="COUNTRY1">
																<span>
																	<xsl:text>&#160;</xsl:text>
																</span>
																<span class="Wartosc">
																	<xsl:apply-templates/>
																</span>
															</xsl:for-each>
														</xsl:for-each>
													</xsl:if>
												</xsl:for-each>
											</td>
											<td style="border-right-style:solid; ">
												<xsl:for-each select="CTYDP">
													<span class="OpisWart">
														<xsl:text>Kraj wysyłki:</xsl:text>
													</span>
													<span>
														<xsl:text>&#160;</xsl:text>
													</span>
													<span class="Wartosc">
														<xsl:apply-templates/>
													</span>
												</xsl:for-each>
												<xsl:for-each select="CTYAR">
													<br/>
													<span class="OpisWart">
														<xsl:text>Kraj przeznaczenia: </xsl:text>
													</span>
													<span class="Wartosc">
														<xsl:apply-templates/>
													</span>
												</xsl:for-each>
											</td>
										</tr>
										<tr>
											<td>
												<xsl:for-each select="_x002F_SAPSLL_x002F_E2CCEHPA">
													<xsl:if test="PATYP =&apos;CUSANM&apos;">
														<span class="OpisWart">
															<xsl:text>Zgłaszający:</xsl:text>
														</span>
														<span>
															<xsl:text>&#160;</xsl:text>
														</span>
														<xsl:for-each select="E1ADRM0">
															<xsl:for-each select="NAME1">
																<span>
																	<xsl:text>&#160;</xsl:text>
																</span>
																<span class="Wartosc">
																	<xsl:apply-templates/>
																</span>
															</xsl:for-each>
															<xsl:for-each select="STREET1">
																<span>
																	<xsl:text>, </xsl:text>
																</span>
																<span class="Wartosc">
																	<xsl:apply-templates/>
																</span>
															</xsl:for-each>
															<xsl:for-each select="STREET2">
																<span>
																	<xsl:text>&#160;</xsl:text>
																</span>
																<span class="Wartosc">
																	<xsl:apply-templates/>
																</span>
															</xsl:for-each>
															<xsl:for-each select="CITY1">
																<span>
																	<xsl:text>, </xsl:text>
																</span>
																<span class="Wartosc">
																	<xsl:apply-templates/>
																</span>
															</xsl:for-each>
															<xsl:for-each select="COUNTRY1">
																<span>
																	<xsl:text>&#160;</xsl:text>
																</span>
																<span class="Wartosc">
																	<xsl:apply-templates/>
																</span>
															</xsl:for-each>
														</xsl:for-each>
													</xsl:if>
												</xsl:for-each>
											</td>
											<td style="border-right-style:solid; ">
												<xsl:if test="INCOT or INCOLO or INCOK">
													<span class="OpisWart">
														<xsl:text>Incoterms:</xsl:text>
													</span>
													<span>
														<xsl:text>&#160;</xsl:text>
													</span>
													<xsl:for-each select="INCOT">
														<span>
															<xsl:text>&#160;</xsl:text>
														</span>
														<span class="Wartosc">
															<xsl:apply-templates/>
														</span>
													</xsl:for-each>
													<xsl:for-each select="INCOLO">
														<span>
															<xsl:text>&#160;</xsl:text>
														</span>
														<span class="Wartosc">
															<xsl:apply-templates/>
														</span>
													</xsl:for-each>
													<xsl:for-each select="INCOK">
														<span>
															<xsl:text>&#160;</xsl:text>
														</span>
														<span class="Wartosc">
															<xsl:apply-templates/>
														</span>
													</xsl:for-each>
												</xsl:if>
											</td>
										</tr>
										<tr>
											<td style="border-bottom-style:solid; ">
												<xsl:for-each select="_x002F_SAPSLL_x002F_E2CCEHD_TPR">
													<xsl:if test="VIDDP or VCODP or VIDAR or MTRDO">
														<span class="OpisWart">
															<xsl:text>Transport:</xsl:text>
														</span>
														<span>
															<xsl:text>&#160;</xsl:text>
														</span>
														<xsl:for-each select="MTRDO">
															<span class="Wartosc">
																<xsl:text>(</xsl:text>
															</span>
															<span class="Wartosc">
																<xsl:apply-templates/>
															</span>
															<span class="Wartosc">
																<xsl:text>)</xsl:text>
															</span>
														</xsl:for-each>
														<xsl:for-each select="VIDDP">
															<span>
																<xsl:text>&#160;</xsl:text>
															</span>
															<span class="Wartosc">
																<xsl:apply-templates/>
															</span>
														</xsl:for-each>
														<xsl:for-each select="VIDAR">
															<span>
																<xsl:text>&#160;</xsl:text>
															</span>
															<span class="Wartosc">
																<xsl:apply-templates/>
															</span>
														</xsl:for-each>
														<xsl:for-each select="VCODP">
															<span>
																<xsl:text>&#160;</xsl:text>
															</span>
															<span class="Wartosc">
																<xsl:apply-templates/>
															</span>
														</xsl:for-each>
													</xsl:if>
													<xsl:if test="VIDBC or VCOBC or MTRBC">
														<br/>
														<span class="OpisWart">
															<xsl:text>Transport na granicy:</xsl:text>
														</span>
														<span>
															<xsl:text>&#160;</xsl:text>
														</span>
														<xsl:for-each select="MTRBC">
															<span class="Wartosc">
																<xsl:text>(</xsl:text>
															</span>
															<span class="Wartosc">
																<xsl:apply-templates/>
															</span>
															<span class="Wartosc">
																<xsl:text>)</xsl:text>
															</span>
														</xsl:for-each>
														<xsl:for-each select="VIDBC">
															<span>
																<xsl:text>&#160;</xsl:text>
															</span>
															<span class="Wartosc">
																<xsl:apply-templates/>
															</span>
														</xsl:for-each>
														<xsl:for-each select="VCOBC">
															<span>
																<xsl:text>&#160;</xsl:text>
															</span>
															<span class="Wartosc">
																<xsl:apply-templates/>
															</span>
														</xsl:for-each>
													</xsl:if>
													<br/>
												</xsl:for-each>
											</td>
											<td style="border-bottom-style:solid; border-right-style:solid; ">
												<xsl:for-each select="_x002F_SAPSLL_x002F_E2CCEHD_TPR">
													<xsl:for-each select="COLOC">
														<span class="OpisWart">
															<xsl:text>Lokalizacja towaru: </xsl:text>
														</span>
														<span class="Wartosc">
															<xsl:apply-templates/>
														</span>
													</xsl:for-each>
												</xsl:for-each>
											</td>
										</tr>
										<tr style="border-bottom-style:solid; border-right-style:solid; ">
											<td style="border-bottom-style:solid; border-right-style:solid; " colspan="2">
												<span class="OpisWart">
													<xsl:text>Dokumenty:</xsl:text>
												</span>
												<span>
													<xsl:text>&#160;</xsl:text>
												</span>
												<xsl:for-each select="_x002F_SAPSLL_x002F_E2CCEHDO">
													<xsl:if test="QALDOC =&apos;HDOC&apos;">
														<xsl:for-each select="PAPTY">
															<span class="Wartosc">
																<xsl:apply-templates/>
															</span>
														</xsl:for-each>
														<xsl:for-each select="PAPNO">
															<span>
																<xsl:text> - </xsl:text>
															</span>
															<span class="Wartosc">
																<xsl:apply-templates/>
															</span>
														</xsl:for-each>
														<br/>
													</xsl:if>
												</xsl:for-each>
											</td>
										</tr>
									</tbody>
								</table>
								<br/>
								<span class="Tytul">
									<xsl:text>Towary</xsl:text>
								</span>
								<br/>
								<table border="1">
									<thead>
										<tr class="naglowek">
											<th>
												<span>
													<xsl:text>Procedura</xsl:text>
												</span>
											</th>
											<th>
												<span>
													<xsl:text>Opis</xsl:text>
												</span>
											</th>
											<th>
												<span>
													<xsl:text>Dokumenty</xsl:text>
												</span>
											</th>
											<th style="border-right-style:solid; ">
												<span>
													<xsl:text>Wartość</xsl:text>
												</span>
											</th>
										</tr>
									</thead>
									<tbody>
										<xsl:for-each select="_x002F_SAPSLL_x002F_E2CCEIT">
											<tr style="border-bottom-style:solid; ">
												<td style="border-bottom-style:solid; ">
													<xsl:for-each select="CUPRO">
														<span class="Wartosc">
															<xsl:apply-templates/>
														</span>
													</xsl:for-each>
													<xsl:for-each select="ADPRO">
														<span>
															<xsl:text>&#160;</xsl:text>
														</span>
														<span class="Wartosc">
															<xsl:apply-templates/>
														</span>
													</xsl:for-each>
												</td>
												<td style="border-bottom-style:solid; ">
													<xsl:for-each select="CCNST">
														<span class="OpisWart">
															<xsl:text>Kod CN: </xsl:text>
														</span>
														<span class="Wartosc">
															<xsl:apply-templates/>
														</span>
														<br/>
													</xsl:for-each>
													<xsl:for-each select="WEINET">
														<span class="OpisWart">
															<xsl:text>Masa netto:</xsl:text>
														</span>
														<span>
															<xsl:text>&#160;</xsl:text>
														</span>
														<span class="Wartosc">
															<xsl:apply-templates/>
														</span>
														<br/>
													</xsl:for-each>
													<xsl:for-each select="CUCOO">
														<span class="OpisWart">
															<xsl:text>Kraj pochodzenia:</xsl:text>
														</span>
														<span>
															<xsl:text>&#160;</xsl:text>
														</span>
														<span class="Wartosc">
															<xsl:apply-templates/>
														</span>
														<br/>
													</xsl:for-each>
													<xsl:for-each select="WEIGRO">
														<span class="OpisWart">
															<xsl:text>Waga brutto:</xsl:text>
														</span>
														<span>
															<xsl:text>&#160;</xsl:text>
														</span>
														<span class="Wartosc">
															<xsl:apply-templates/>
														</span>
													</xsl:for-each>
												</td>
												<td style="border-bottom-style:solid; ">
													<xsl:for-each select="_x002F_SAPSLL_x002F_E2CCEIDO">
														<xsl:if test="QALDOC =&apos;PDOC&apos;">
															<xsl:for-each select="PAPTY">
																<span class="Wartosc">
																	<xsl:apply-templates/>
																</span>
															</xsl:for-each>
															<xsl:for-each select="PAPNO">
																<span>
																	<xsl:text> - </xsl:text>
																</span>
																<span class="Wartosc">
																	<xsl:apply-templates/>
																</span>
															</xsl:for-each>
														</xsl:if>
														<br/>
													</xsl:for-each>
												</td>
												<td style="border-bottom-style:solid; border-right-style:solid; ">
													<xsl:for-each select="NETVAL">
														<span class="Wartosc">
															<xsl:apply-templates/>
														</span>
													</xsl:for-each>
													<span>
														<xsl:text>&#160;</xsl:text>
													</span>
													<xsl:for-each select="NTCUR">
														<span class="Wartosc">
															<xsl:apply-templates/>
														</span>
													</xsl:for-each>
												</td>
											</tr>
										</xsl:for-each>
									</tbody>
								</table>
								<br/>
								<span class="OpisWart">
									<xsl:text>Wydruk z programu firmy Huzar Software (www.huzar.pl)</xsl:text>
								</span>
								<br/>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:for-each>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
