param (
[string] $p_FileXml,
[string] $p_FileXslt
)

function CheckFile ([string] $p_File)
{
    Write-Host "Sprawdzanie pliku $p_File ..."
  
    if([string]::IsNullOrEmpty($p_File) -Or !(Test-Path $p_File))
	{
		Write-Host "Brak pliku lub plik nie zosta odnaleziony"
		return $false
    }   
	return $true
}

function TransformFile([string] $p_FileXml)
{
	$xslt = New-Object System.Xml.Xsl.XslCompiledTransform
	$xslt.Load($p_FileXslt)
	[string] $outputFile = [System.IO.Path]::GetTempFileName() + ".html"
	$xslt.Transform($p_FileXml, $outputFile)
	Write-Host "Tranformacja utworzona w pliku $outputFile"
	Invoke-Item $outputFile; 
}

try
{
	if (!(CheckFile($p_FileXml)) -Or !(CheckFile($p_FileXslt)))
	{
		return $false
	}
	[string] $inputFile = $p_FileXml;
	
	[string] $ext = [System.IO.Path]::GetExtension($p_FileXml).ToLower();
	if ($ext.CompareTo(".zip") -eq 0)
	{
		[string] $tempPath = [System.IO.Path]::GetTempFileName()+"tmp";
		[string] $fileName = [System.IO.Path]::GetFileNameWithoutExtension($p_FileXml);
        [string] $unzipPath = (get-item $p_FileXslt).DirectoryName
        Write-Host $unzipPath;
		& "$unzipPath\unzip.bat" "$p_FileXml" "$tempPath"
		$inputFile = $tempPath+"\"+$fileName+".xml";		
	}

	TransformFile($inputFile);   
}
 catch [Exception]
    {
      echo $_.Exception.Message
    }
Finally
{
    #Write-Host "`n`nNacisnij dowolny klawisz ..."
    #$tmp = $host.UI.RawUI.ReadKey("NoEcho,IncludeKeyDown")
}